Perform various operations for Symitar parameters.
Operations
getNoticeSelectFields
POST
Execute the persistent ParameterService getNoticeSelectFields operation.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
NoticeNoticeTypeintegeroptionalNoticeNoticeDescrTypeintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
MessageIdstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/parameter/getNoticeSelectFieldsPOST /nexum/627/persistent/parameter/getNoticeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"NoticeNoticeType": 0,
"NoticeNoticeDescrType": 0,
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DeviceInformation": {
"DeviceType": "string",
"DeviceNumber": 0
},
"SelectableFields": {
"IncludeAllNoticeFields": true,
"NoticeFields": {
"DaysBetweenNotices": [
0
],
"Description": true,
"Line1": [
0
],
"Line2": [
0
],
"Line3": [
0
],
"Line4": [
0
],
"NegativeInfoMessage": [
0
],
"NegativeInfoPrintPosition": true,
"NoticeDescrType": true,
"NoticeType": true,
"UseWarningGraceDays": true,
"WarningGraceDays": true
}
},
"nxAttributes": {
"customFields": {}
}
}getNoticePagedListSelectFields
POST
Execute the persistent ParameterService getNoticePagedListSelectFields operation.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalMessageIdstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/parameter/getNoticePagedListSelectFieldsPOST /nexum/627/persistent/parameter/getNoticePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DeviceInformation": {
"DeviceType": "string",
"DeviceNumber": 0
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllNoticeFields": true,
"NoticeFields": {
"DaysBetweenNotices": [
0
],
"Description": true,
"Line1": [
0
],
"Line2": [
0
],
"Line3": [
0
],
"Line4": [
0
],
"NegativeInfoMessage": [
0
],
"NegativeInfoPrintPosition": true,
"NoticeDescrType": true,
"NoticeType": true,
"UseWarningGraceDays": true,
"WarningGraceDays": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchNoticePagedSelectFields
POST
Execute the persistent ParameterService searchNoticePagedSelectFields operation.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalMessageIdstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/parameter/searchNoticePagedSelectFieldsPOST /nexum/627/persistent/parameter/searchNoticePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DeviceInformation": {
"DeviceType": "string",
"DeviceNumber": 0
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllNoticeFields": true,
"NoticeFields": {
"DaysBetweenNotices": [
0
],
"Description": true,
"Line1": [
0
],
"Line2": [
0
],
"Line3": [
0
],
"Line4": [
0
],
"NegativeInfoMessage": [
0
],
"NegativeInfoPrintPosition": true,
"NoticeDescrType": true,
"NoticeType": true,
"UseWarningGraceDays": true,
"WarningGraceDays": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}updateNoticeByID
POST
Execute the persistent ParameterService updateNoticeByID operation.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
NoticeNoticeTypeintegeroptionalNoticeNoticeDescrTypeintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
MessageIdstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/parameter/updateNoticeByIDPOST /nexum/627/persistent/parameter/updateNoticeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"NoticeNoticeType": 0,
"NoticeNoticeDescrType": 0,
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DeviceInformation": {
"DeviceType": "string",
"DeviceNumber": 0
},
"NoticeFields": {
"DaysBetweenNotices": [
{
"EntryId": 0,
"DaysBetweenNotices": 0
}
],
"Description": "string",
"Line1": [
{
"EntryId": 0,
"Line1": "string"
}
],
"Line2": [
{
"EntryId": 0,
"Line2": "string"
}
],
"Line3": [
{
"EntryId": 0,
"Line3": "string"
}
],
"Line4": [
{
"EntryId": 0,
"Line4": "string"
}
],
"NegativeInfoMessage": [
{
"EntryId": 0,
"NegativeInfoMessage": 0
}
],
"NegativeInfoPrintPosition": 0,
"NoticeDescrType": 0,
"NoticeType": 0,
"UseWarningGraceDays": 0,
"WarningGraceDays": 0
},
"nxAttributes": {
"customFields": {}
}
}